import { db } from "@/lib/db";
import { getCurrentUser } from "@/lib/session";
import { User } from "@prisma/client";
import { revalidatePath } from "next/cache";
import { NextRequest, NextResponse } from "next/server";

export async function PUT(req: NextRequest) {
    const sessionUser = await getCurrentUser();

    const data: User = await req.json()
    console.log("userid", sessionUser!.id, "formdataid", data.id)
    if (!sessionUser || sessionUser.id != data.id) {
        return NextResponse.json({ status: 401, message: 'Unauthorized' });
    }
    console.log("put list")
    try {
        const dbUser = await db.user.findFirst({
            where: {
                id: sessionUser.id
            },
            select: {
                planningGameList: true,
                playingGameList: true,
                finishedGameList: true
            },
        });

        if (dbUser) {
            if (!data.finishedGameList) data.finishedGameList = dbUser?.finishedGameList
            if (!data.planningGameList) data.planningGameList = dbUser?.planningGameList
            if (!data.playingGameList) data.playingGameList = dbUser?.playingGameList

            await db.user.update({
                where: {
                    id: sessionUser.id
                },
                data: {
                    finishedGameList: data.finishedGameList,
                    planningGameList: data.planningGameList,
                    playingGameList: data.playingGameList
                }
            })
        }
    } catch (error) {

    }
    const path = req.nextUrl.searchParams.get('path') || '/';
    revalidatePath(path);

    return NextResponse.json({ status: 201, message: 'Game Hinzugefügt' })


}